<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

class PageNavigation
{          
    var $totalItem = 0;
    var $itemsPerPage = 0;
    var $curPage;
    var $navigFile = "";
    var $navNextPrev = 1;
    var $showPages = 0;

    function calcLimitStart()
    {
       return ($this->curPage - 1) * $this->itemsPerPage;
    }

    function fetch()
    {
        $cnt_page = ceil($this->totalItems / max($this->itemsPerPage, 1));

        $ret = array();
        
        $max_pages = ceil($this->totalItems / $this->itemsPerPage); 
        
        if($this->navNextPrev)
        {
            $prev_page = max($this->curPage - 1, 0);
            $next_page = ($this->totalItems > $this->curPage * $this->itemsPerPage) ? $this->curPage + 1 : 0;

            $ret["prev_link"] = ($prev_page) ? $this->navigFile."/$prev_page" : "";
            $ret["next_link"] = ($next_page) ? $this->navigFile."/$next_page" : "";

         }
         
         if($this->showPages)
         {
             $ret["page_link"] = $this->navigFile."/"; 
             $ret["pages_count"] = $max_pages; 
             $ret['cur_page'] = $this->curPage;
         }
         
         return $ret;

    }
}

